.page-col-map-view {
  min-height: 200px;
  height: 100%;
  width: 100%;
  overflow: hidden;
  z-index: 99;
  background-color: $gray-200;

  .gradient-title {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
  }

  &.placeholder {
    display: flex;
    align-items: center;
    color: var(--bs-blue);
    cursor: default;

    .map-placeholder {
      width: 30px;
      height: 30px;
      margin: auto;
    }
  }

  &.toggled,
  &.to-toggled,
  &.to-init {
    z-index: 1200;
  }

  .map-plain-container {
    position: relative;
    overflow: hidden;
  }

  .attributions {
    font-size: 0;

    * {
      font-size: 9px;
      background-color: rgba($white, 0.7);
      padding: $spacer * 0.2;
    }

    * + * {
      padding-left: $spacer * 0.5;
    }
  }

  .map-focus-loader {
    position: absolute;
    height: 2px;
    background-color: $primary;
    bottom: 0;
    left: 0;
  }

  &.map-preparing-focus .map-focus-loader {
    animation: map-focus-loading 2s ease infinite;
  }
}

//
// loading
//

@keyframes map-focus-loading {
  0% {
    width: 0;
  }
  100% {
    width: 100%;
  }
}
